{
  "schema_version": "1.4.0",
  "id": "GHSA-xcxw-7vcg-xqqm",
  "modified": "2022-05-14T02:06:02Z",
  "published": "2022-05-14T02:06:02Z",
  "aliases": [
    "CVE-2014-9668"
  ],
  "details": "The woff_open_font function in sfnt/sfobjs.c in FreeType before 2.5.4 proceeds with offset+length calculations without restricting length values, which allows remote attackers to cause a denial of service (integer overflow and heap-based buffer overflow) or possibly have unspecified other impact via a crafted Web Open Font Format (WOFF) file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-9668"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201503-05"
    },
    {
      "type": "WEB",
      "url": "http://code.google.com/p/google-security-research/issues/detail?id=164"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=f46add13895337ece929b18bb8f036431b3fb538"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150148.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150162.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-03/msg00091.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72986"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2510-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2739-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-02-08T11:59:00Z"
  }
}